> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Director Master Data

> Director Master Data API uses Director Identification Number (DIN) to provide details about the existing director of a company, or with the intention to be one.

<Card title="Run in Postman" icon="https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3" horizontal arrow="true" href="https://www.postman.com/in-co-sandbox/sandbox-api/request/7r3oogc/director-master-data" width="2030" height="2031" data-path="static/svg/Postman.svg" />


## OpenAPI

````yaml api-reference/kyc/openapi.json POST /mca/director/master-data/search
openapi: 3.1.0
info:
  title: in-co-sandbox-kyc
  description: ''
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
tags:
  - name: kyc
  - name: digilocker-sdk
  - name: digilocker
  - name: aadhaar
  - name: bank
  - name: pan
  - name: mca
  - name: entitylocker
  - name: entitylocker-sdk
paths:
  /mca/director/master-data/search:
    post:
      tags:
        - kyc
        - mca
      summary: Director Master Data
      description: Fetch director's details using DIN
      operationId: getDirectorMasterData
      parameters:
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Specifies the API version for the request.
          required: false
          example: 1.0.0
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Media type of the request body.
          required: false
          example: application/json
          schema:
            type: string
            enum:
              - application/json
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.kyc.mca.master_data.request
                id:
                  type: string
                  pattern: ^[0-9]{8}$
                  description: >-
                    8-digit Director Identification Number (DIN) issued by the
                    central government to an individual appointed as a company
                    director.
                consent:
                  type: string
                  enum:
                    - 'Y'
                    - 'y'
                  description: >-
                    Explicit consent from the end user to retrieve and verify
                    the director’s information.
                reason:
                  type: string
                  minLength: 20
                  description: >-
                    Purpose for requesting verification of the director’s
                    information.
              required:
                - '@entity'
                - id
                - consent
                - reason
              additionalProperties: false
            examples:
              200 - Success:
                value:
                  '@entity': in.co.sandbox.kyc.mca.master_data.request
                  id: '9999999'
                  consent: 'y'
                  reason: For Director KYC
                summary: 200 - Success
              422 - Invalid DIN:
                value:
                  '@entity': in.co.sandbox.kyc.mca.master_data.request
                  id: '9999991'
                  consent: 'y'
                  reason: For Director KYC
                summary: 422 - Invalid DIN
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                200 - Success:
                  summary: 200 - Success
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: 48a196a7-e1c3-44da-b833-fe705af36f32
                    data:
                      '@entity': in.co.sandbox.kyc.mca.director
                      director_data:
                        '@entity': in.co.sandbox.kyc.mca.director.director_data
                        din: '99999999'
                        name: JOHN DOE
                      llp_data:
                        - '@entity': in.co.sandbox.kyc.mca.director.llp_data
                          end_date: '-'
                          llp_name: JOHN DOE PRIVATE LIMITED
                          designation: Director
                          begin_date: 19/03/2015
                          llpin/fllpin: ABC-1234
                      company_data:
                        - '@entity': in.co.sandbox.kyc.mca.director.company_data
                          end_date: '-'
                          company_name: JOHN DOE PRIVATE LIMITED
                          designation: Director
                          begin_date: 19/03/2015
                          cin/fcrn: U12300GJ2015PTC123456
                        - '@entity': in.co.sandbox.kyc.mca.director.company_data
                          end_date: '-'
                          designation: Director
                          company_name: JD PRIVATE LIMITED
                          begin_date: 09/06/2017
                          cin/fcrn: U12300GJ2017PTC123456
          headers: {}
        '422':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                422 - Invalid DIN:
                  summary: 422 - Invalid DIN
                  value:
                    code: 422
                    message: >-
                      DIN Entered does not match MCA records, Please enter a
                      valid DIN.
                    timestamp: 1000000000000
                    transaction_id: 48e396ea-6ba3-44ba-a41b-14ffa97b8076
          headers: {}
      deprecated: false
      security: []

````